--- configure.in.orig	2009-01-26 22:13:31.000000000 +0100
+++ configure.in	2009-01-26 22:15:17.000000000 +0100
@@ -1033,14 +1033,14 @@
     dnl for C only for example might not be detected.
     dnl
     if test "${ICC}" = "yes" ; then
-	CPARANOIDFLAGS="-Werror"
-	CXXPARANOIDFLAGS="-Werror"
+	CPARANOIDFLAGS=""
+	CXXPARANOIDFLAGS=""
     elif test "${_USING_WINDOWS}" = "1" ; then
 	CPARANOIDFLAGS="-Werror -W -Wall -Wwrite-strings -Wbad-function-cast -Wcast-qual -Wpointer-arith -Wcast-align -Wnested-externs"
 	CXXPARANOIDFLAGS="-Werror -W -Wall -Wwrite-strings -Wcast-qual -Wpointer-arith -Wcast-align -Wstrict-prototypes -Woverloaded-virtual -Wtraditional"
     else
-	CPARANOIDFLAGS="-Werror -W -Wall -Wwrite-strings -Wbad-function-cast -Wmissing-prototypes -Wcast-qual -Wmissing-declarations -Wpointer-arith -Wcast-align -Wstrict-prototypes -Wnested-externs"
-	CXXPARANOIDFLAGS="-Werror -W -Wall -Wwrite-strings -Wcast-qual -Wpointer-arith -Wcast-align -Wstrict-prototypes -Woverloaded-virtual -Wtraditional"
+	CPARANOIDFLAGS="-W -Wall -Wwrite-strings -Wbad-function-cast -Wmissing-prototypes -Wcast-qual -Wmissing-declarations -Wpointer-arith -Wcast-align -Wstrict-prototypes -Wnested-externs"
+	CXXPARANOIDFLAGS="-W -Wall -Wwrite-strings -Wcast-qual -Wpointer-arith -Wcast-align -Wstrict-prototypes -Woverloaded-virtual -Wtraditional"
     fi
 
     XR_TRY_ADD_CFLAGS($CPARANOIDFLAGS)
--- configure.orig	2009-01-26 22:13:36.000000000 +0100
+++ configure	2009-01-26 22:14:55.000000000 +0100
@@ -34076,7 +34076,7 @@
 fi
 
 _save_cflags="$CFLAGS"
-CFLAGS="$CFLAGS -Wcast-align -Werror"
+CFLAGS="$CFLAGS -Wcast-align"
 
 { echo "$as_me:$LINENO: checking whether the build environment has broken CMSG_NXTHDR macro" >&5
 echo $ECHO_N "checking whether the build environment has broken CMSG_NXTHDR macro... $ECHO_C" >&6; }
@@ -40561,7 +40561,7 @@
 "
 
 _save_cflags="$CFLAGS"
-CFLAGS="$CFLAGS -Wcast-align -Werror"
+CFLAGS="$CFLAGS -Wcast-align"
 
 { echo "$as_me:$LINENO: checking whether the build environment has broken NLMSG_NEXT macro" >&5
 echo $ECHO_N "checking whether the build environment has broken NLMSG_NEXT macro... $ECHO_C" >&6; }
@@ -43562,14 +43562,14 @@
     fi
 
                                                                                                                                                 if test "${ICC}" = "yes" ; then
-	CPARANOIDFLAGS="-Werror"
-	CXXPARANOIDFLAGS="-Werror"
+	CPARANOIDFLAGS=""
+	CXXPARANOIDFLAGS=""
     elif test "${_USING_WINDOWS}" = "1" ; then
 	CPARANOIDFLAGS="-Werror -W -Wall -Wwrite-strings -Wbad-function-cast -Wcast-qual -Wpointer-arith -Wcast-align -Wnested-externs"
 	CXXPARANOIDFLAGS="-Werror -W -Wall -Wwrite-strings -Wcast-qual -Wpointer-arith -Wcast-align -Wstrict-prototypes -Woverloaded-virtual -Wtraditional"
     else
-	CPARANOIDFLAGS="-Werror -W -Wall -Wwrite-strings -Wbad-function-cast -Wmissing-prototypes -Wcast-qual -Wmissing-declarations -Wpointer-arith -Wcast-align -Wstrict-prototypes -Wnested-externs"
-	CXXPARANOIDFLAGS="-Werror -W -Wall -Wwrite-strings -Wcast-qual -Wpointer-arith -Wcast-align -Wstrict-prototypes -Woverloaded-virtual -Wtraditional"
+	CPARANOIDFLAGS="-W -Wall -Wwrite-strings -Wbad-function-cast -Wmissing-prototypes -Wcast-qual -Wmissing-declarations -Wpointer-arith -Wcast-align -Wstrict-prototypes -Wnested-externs"
+	CXXPARANOIDFLAGS="-W -Wall -Wwrite-strings -Wcast-qual -Wpointer-arith -Wcast-align -Wstrict-prototypes -Woverloaded-virtual -Wtraditional"
     fi
 
 
--- mibs/configure.in.orig	2009-01-27 10:10:48.000000000 +0100
+++ mibs/configure.in	2009-01-06 01:54:16.000000000 +0100
@@ -510,11 +510,11 @@
     dnl for C only for example might not be detected.
     dnl
     if test "${ICC}" = "yes" ; then
-	CPARANOIDFLAGS=""
-	CXXPARANOIDFLAGS=""
+	CPARANOIDFLAGS="-Werror"
+	CXXPARANOIDFLAGS="-Werror"
     else
-	CPARANOIDFLAGS="-W -Wall -Wwrite-strings -Wbad-function-cast -Wmissing-prototypes -Wcast-qual -Wmissing-declarations -Wpointer-arith -Wcast-align -Wstrict-prototypes -Wnested-externs"
-	CXXPARANOIDFLAGS="-W -Wall -Wwrite-strings -Wcast-qual -Wpointer-arith -Wcast-align -Wstrict-prototypes -Woverloaded-virtual -Wtraditional"
+	CPARANOIDFLAGS="-Werror -W -Wall -Wwrite-strings -Wbad-function-cast -Wmissing-prototypes -Wcast-qual -Wmissing-declarations -Wpointer-arith -Wcast-align -Wstrict-prototypes -Wnested-externs"
+	CXXPARANOIDFLAGS="-Werror -W -Wall -Wwrite-strings -Wcast-qual -Wpointer-arith -Wcast-align -Wstrict-prototypes -Woverloaded-virtual -Wtraditional"
     fi
 
     XR_TRY_ADD_CFLAGS($CPARANOIDFLAGS)
--- mibs/configure.orig	2009-01-27 10:11:10.000000000 +0100
+++ mibs/configure	2009-01-07 19:17:50.000000000 +0100
@@ -21751,11 +21751,11 @@
     fi
 
                                                                                                                             if test "${ICC}" = "yes" ; then
-	CPARANOIDFLAGS=""
-	CXXPARANOIDFLAGS=""
+	CPARANOIDFLAGS="-Werror"
+	CXXPARANOIDFLAGS="-Werror"
     else
-	CPARANOIDFLAGS="-W -Wall -Wwrite-strings -Wbad-function-cast -Wmissing-prototypes -Wcast-qual -Wmissing-declarations -Wpointer-arith -Wcast-align -Wstrict-prototypes -Wnested-externs"
-	CXXPARANOIDFLAGS="-W -Wall -Wwrite-strings -Wcast-qual -Wpointer-arith -Wcast-align -Wstrict-prototypes -Woverloaded-virtual -Wtraditional"
+	CPARANOIDFLAGS="-Werror -W -Wall -Wwrite-strings -Wbad-function-cast -Wmissing-prototypes -Wcast-qual -Wmissing-declarations -Wpointer-arith -Wcast-align -Wstrict-prototypes -Wnested-externs"
+	CXXPARANOIDFLAGS="-Werror -W -Wall -Wwrite-strings -Wcast-qual -Wpointer-arith -Wcast-align -Wstrict-prototypes -Woverloaded-virtual -Wtraditional"
     fi
 
 
